/*
 * This is sample code generated by rpcgen.
 * These are only templates and you can use them
 * as a guideline for developing your own functions.
 */

#include "FuncionesV2.h"


void
funcionesbanco_1(char *host)
{
	CLIENT *clnt;
	char * *result_1;
	mensaje  msj_1_arg;
	printf("Ingrese el numero de la accion a realizar\n1. Deposito\n2. Retiro\n");
	scanf("%i", &msj_1_arg.opcion);
	printf("Inserte la cantidad \n");
	scanf("%i", &msj_1_arg.cantidad);

#ifndef	DEBUG
	clnt = clnt_create (host, FUNCIONESBANCO, VERSION_MENSAJE, "udp");
	if (clnt == NULL) {
		clnt_pcreateerror (host);
		exit (1);
	}
#endif	/* DEBUG */

	result_1 = msj_1(&msj_1_arg, clnt);
	printf("Mensaje recivido del server\n");
	printf("Resultado = %s\n",*result_1);
	if (result_1 == (char **) NULL) {
		clnt_perror (clnt, "call failed");
	}
#ifndef	DEBUG
	clnt_destroy (clnt);
#endif	 /* DEBUG */
}


int
main (int argc, char *argv[])
{
	char *host;

	if (argc < 2) {
		printf ("usage: %s server_host\n", argv[0]);
		exit (1);
	}
	host = argv[1];
	funcionesbanco_1 (host);
exit (0);
}
